# List Outbound Setup Intents

List the OutboundSetupIntent objects.

## Parameters

- `limit` (integer, optional)
  The page size.

- `page` (string, optional)
  The requested page.

## Returns

## Response attributes

- `data` (array of objects)
  The list of OutboundSetupIntent objects.

  - `data.id` (string)
    ID of the outbound setup intent.

  - `data.object` (string, value is "v2.money_management.outbound_setup_intent")
    String representing the object’s type. Objects of the same type share the same value of the object field.

  - `data.created` (timestamp)
    Created timestamp.

  - `data.livemode` (boolean)
    Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

  - `data.next_action` (object, nullable)
    Specifies which actions needs to be taken next to continue setup of the credential.

    - `data.next_action.confirmation_of_payee` (object, nullable)
      Confirmation of Payee details.

      - `data.next_action.confirmation_of_payee.object` (string)
        The type of the credential.

      - `data.next_action.confirmation_of_payee.status` (enum)
        The Confirmation of Payee status.
Possible enum values:
        - `awaiting_acknowledgement`
          The check resulted in a non-match, partial match, or the service was unavailable. Explicit acknowledgement is required to make payments to this account.

        - `confirmed`
          Either the account matches what was provided or there was explicit acknowledgement of the status. OutboundPayments can be made to the bank account.

        - `uninitiated`
          No confirmation of payee check has happened on this account. Use InitiateConfirmationOfPayee to check the user’s information against bank records before making OutboundPayments.

    - `data.next_action.type` (enum)
      The type of next action.
Possible enum values:
      - `confirmation_of_payee`
        Confirmation of Payee must be performed in order to make this payout method usable for the specified outbound money movement.

  - `data.payout_method` (object)
    Information about the payout method that’s created and linked to this outbound setup intent.

    - `data.payout_method.id` (string)
      ID of the PayoutMethod object.

    - `data.payout_method.object` (string, value is "v2.money_management.payout_method")
      String representing the object’s type. Objects of the same type share the same value of the object field.

    - `data.payout_method.available_payout_speeds` (array of enums)
      A set of available payout speeds for this payout method.
Possible enum values:
      - `instant`
        Instant.

      - `standard`
        Standard.

    - `data.payout_method.bank_account` (object, nullable)
      The PayoutMethodBankAccount object details.

      - `data.payout_method.bank_account.archived` (boolean)
        Whether this PayoutMethodBankAccount object was archived. PayoutMethodBankAccount objects can be archived through the /archive API, and they will not be automatically archived by Stripe. Archived PayoutMethodBankAccount objects cannot be used as payout methods and will not appear in the payout method list.

      - `data.payout_method.bank_account.bank_account_type` (enum)
        The type of bank account (checking or savings).
Possible enum values:
        - `checking`
          Checking account.

        - `savings`
          Savings account.

      - `data.payout_method.bank_account.bank_name` (string)
        The name of the bank this bank account is in. This field is populated automatically by Stripe.

      - `data.payout_method.bank_account.country` (string)
        The country code of the bank account.

      - `data.payout_method.bank_account.enabled_delivery_options` (array of strings)
        List of enabled flows for this bank account (wire or local).

      - `data.payout_method.bank_account.financial_connections_account` (string, nullable)
        The ID of the Financial Connections Account used to create the bank account.

      - `data.payout_method.bank_account.last4` (string)
        The last 4 digits of the account number.

      - `data.payout_method.bank_account.routing_number` (string, nullable)
        The routing number of the bank account, if present.

      - `data.payout_method.bank_account.supported_currencies` (array of strings)
        The list of currencies supported by this bank account.

    - `data.payout_method.card` (object, nullable)
      The PayoutMethodCard object details.

      - `data.payout_method.card.archived` (boolean)
        Whether the PayoutMethodCard object was archived. PayoutMethodCard objects can be archived through the /archive API, and they will not be automatically archived by Stripe. Archived PayoutMethodCard objects cannot be used as payout methods and will not appear in the payout method list.

      - `data.payout_method.card.exp_month` (string)
        The month the card expires.

      - `data.payout_method.card.exp_year` (string)
        The year the card expires.

      - `data.payout_method.card.last4` (string)
        The last 4 digits of the card number.

    - `data.payout_method.created` (timestamp)
      Created timestamp.

    - `data.payout_method.latest_outbound_setup_intent` (string, nullable)
      ID of the underlying active OutboundSetupIntent object, if any.

    - `data.payout_method.livemode` (boolean)
      Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

    - `data.payout_method.type` (enum)
      The type of payout method.
Possible enum values:
      - `bank_account`
        Bank account.

      - `card`
        Card.

      - `crypto_wallet`
        Crypto wallet.

    - `data.payout_method.usage_status` (object)
      Indicates whether the payout method has met the necessary requirements for outbound money movement.

      - `data.payout_method.usage_status.payments` (enum)
        Payments status - used when sending OutboundPayments (sending funds to recipients).
Possible enum values:
        - `eligible`
          Resources that have met all the necessary requirements.

        - `invalid`
          Resources that can’t ever support the specified flow (e.g credit cards for transfers).

        - `requires_action`
          Resources that need to meet more requirements / need to do more actions in order to be made usable.

      - `data.payout_method.usage_status.transfers` (enum)
        Transfers status - used when making an OutboundTransfer (sending funds to yourself).
Possible enum values:
        - `eligible`
          Resources that have met all the necessary requirements.

        - `invalid`
          Resources that can’t ever support the specified flow (e.g credit cards for transfers).

        - `requires_action`
          Resources that need to meet more requirements / need to do more actions in order to be made usable.

  - `data.status` (enum)
    Status of the outbound setup intent.
Possible enum values:
    - `canceled`
      The user may cancel the outbound setup intent at any time prior to reaching the succeeded status. The outbound setup intent will no longer be usable. This is a terminal status.

    - `requires_action`
      Some additional setup steps need to be done to fully set up the credential for the specified usage intent. Additional steps are specified in next_action.

    - `requires_payout_method`
      When the outbound setup intent is created, it begins in this status if no payout_method_data is provided. The outbound setup intent will also transition back to this status if a setup failure occurs. The user will then need to provide new payout_method_data to continue.

    - `succeeded`
      If no additional setup actions need to be done i.e. credential is fully set up for the specified usage intent. This is a terminal status.

  - `data.usage_intent` (enum)
    The intended money movement flow this payout method should be set up for, specified in params.
Possible enum values:
    - `payment`
      Setup for outbound payments.

    - `transfer`
      Setup for outbound transfers.

- `next_page_url` (string, nullable)
  The next page url.

- `previous_page_url` (string, nullable)
  The previous page url.

```curl
curl https://api.stripe.com/v2/money_management/outbound_setup_intents \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2025-12-15.preview"
```

### Response

```json
{
  "data": [
    {
      "id": "osi_test_61SGHHedpjwY7HErA16QsOpAPpE97EJALhqt1U5mC3iS",
      "object": "v2.money_management.outbound_setup_intent",
      "created": "2025-03-26T12:44:58.000Z",
      "next_action": null,
      "payout_method": {
        "id": "usba_test_61SGHHenDe269uJ7W16QsOpAPpE97EJALhqt1U5mCBqC",
        "object": "v2.money_management.payout_method",
        "available_payout_speeds": [
          "standard"
        ],
        "bank_account": {
          "archived": false,
          "bank_name": "Test Bank",
          "country": "US",
          "enabled_delivery_options": [
            "local"
          ],
          "last4": "6789",
          "routing_number": "110000000",
          "supported_currencies": [
            "usd"
          ],
          "bank_account_type": "checking"
        },
        "created": "2025-03-26T12:44:58.072Z",
        "latest_outbound_setup_intent": "osi_test_61SGHHedpjwY7HErA16QsOpAPpE97EJALhqt1U5mC3iS",
        "type": "bank_account",
        "usage_status": {
          "payments": "eligible",
          "transfers": "eligible"
        },
        "livemode": false
      },
      "status": "succeeded",
      "usage_intent": "payment",
      "livemode": false
    },
    {
      "id": "osi_test_61S8MLMXLJbg85kWm16QsOpAPpE97EJALhqt1U5mCXrk",
      "object": "v2.money_management.outbound_setup_intent",
      "created": "2025-03-04T16:32:04.000Z",
      "next_action": null,
      "payout_method": {
        "id": "usba_test_61S8MLMQAjFLoPjqt16QsOpAPpE97EJALhqt1U5mCNB2",
        "object": "v2.money_management.payout_method",
        "available_payout_speeds": [
          "standard"
        ],
        "bank_account": {
          "archived": true,
          "bank_name": "Test Bank",
          "country": "US",
          "enabled_delivery_options": [
            "local"
          ],
          "last4": "6789",
          "routing_number": "110000000",
          "supported_currencies": [
            "usd"
          ],
          "bank_account_type": "checking"
        },
        "created": "2025-03-04T16:32:04.907Z",
        "latest_outbound_setup_intent": "osi_test_61S8MLMXLJbg85kWm16QsOpAPpE97EJALhqt1U5mCXrk",
        "type": "bank_account",
        "usage_status": {
          "payments": "eligible",
          "transfers": "eligible"
        },
        "livemode": false
      },
      "status": "requires_action",
      "usage_intent": "payment",
      "livemode": false
    }
  ],
  "next_page_url": null,
  "previous_page_url": null
}
```
